Name:           perl-Config-GitLike
Version:        1.04
Release:        1%{?dist}
Summary:        Git-compatible config file parsing
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Config-GitLike/
Source0:        http://www.cpan.org/authors/id/A/AL/ALEXMV/Config-GitLike-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.0
BuildRequires:  perl(Any::Moose)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# http://github.com/bestpractical/config-gitlike/commit/0b2012c0787c1e1bcec294f5e67550bfcebe1c8e
Patch0:         0001-Extend-attributes-from-parent-to-avoid-warnings.patch
# https://rt.cpan.org/Ticket/Display.html?id=58865
Patch1:         0002-silence-uninitialized-warnings.patch


%{?perl_default_filter}

%description
This module handles interaction with configuration files of the style used
by the version control system Git. It can both parse and modify these
files, as well as create entirely new ones.

%prep
%setup -q -n Config-GitLike-%{version}
%patch0 -p 1
%patch1 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jun 26 2010 Iain Arnell <iarnell@gmail.com> 1.04-1
- Specfile autogenerated by cpanspec 1.78.
- Add patches to silence warnings
